Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- AliasSymbol
- AnnotInfo
- AnnotatedType
- AnnotatedWithSelfType
- Attribute
- AttributeInfo
- ByteCode
- ByteCodeReader
- Children
- ClassFile
- ClassFileHeader
- ClassFileParser
- ClassInfoType
- ClassInfoTypeWithCons
- ClassSymbol
- ConstantPool
- ConstantType
- ExistentialType
- ExternalSymbol
- Field
- Flags
- Method
- MethodSymbol
- MethodType
- NoPrefixType
- NoSymbol
- NoType
- NullaryMethodType
- ObjectSymbol
- PolyType
- PolyTypeWithCons
- RefinedType
- ScalaSig
- ScalaSigAttributeParsers
- ScalaSigEntryParsers
- ScalaSigParser
- ScalaSigParsers
- ScalaSigPrinter
- ScalaSigSymbol
- SingleType
- SourceFileAttributeParser
- SourceFileInfo
- StringBytesPair
- Symbol
- SymbolInfo
- SymbolInfoSymbol
- ThisType
- Type
- TypeBoundsType
- TypeRefType
- TypeSymbol

c

scala.tools.scalap.scalax.rules.scalasig

# AliasSymbol 

###

#### case class AliasSymbol(symbolInfo: SymbolInfo) extends SymbolInfoSymbol with Product with Serializable

Source
  Symbol.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, SymbolInfoSymbol, ScalaSigSymbol, Symbol, Flags, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AliasSymbol
2. Serializable
3. Serializable
4. Product
5. Equals
6. SymbolInfoSymbol
7. ScalaSigSymbol
8. Symbol
9. Flags
10. AnyRef
11. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AliasSymbol(symbolInfo: SymbolInfo)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from AliasSymbol to any2stringadd[AliasSymbol] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (AliasSymbol, B)
   Implicit
     This member is added by an implicit conversion from AliasSymbol to ArrowAssoc[AliasSymbol] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def applyRule[A](rule: EntryParser[A]): A
   Definition Classes
     ScalaSigSymbol
7.  def applyScalaSigRule[A](rule: Parser[A]): A
   Definition Classes
     ScalaSigSymbol
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  lazy val attributes: Seq[AttributeInfo]
   Definition Classes
     ScalaSigSymbol
10.  lazy val children: Seq[Symbol]
    Definition Classes
      ScalaSigSymbol → Symbol
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def ensuring(cond: (AliasSymbol) ⇒ Boolean, msg: ⇒ Any): AliasSymbol
    Implicit
      This member is added by an implicit conversion from AliasSymbol to Ensuring[AliasSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (AliasSymbol) ⇒ Boolean): AliasSymbol
    Implicit
      This member is added by an implicit conversion from AliasSymbol to Ensuring[AliasSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): AliasSymbol
    Implicit
      This member is added by an implicit conversion from AliasSymbol to Ensuring[AliasSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): AliasSymbol
    Implicit
      This member is added by an implicit conversion from AliasSymbol to Ensuring[AliasSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def entry: Entry
    Definition Classes
      SymbolInfoSymbol → ScalaSigSymbol
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from AliasSymbol to StringFormat[AliasSymbol] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hasFlag(flag: Long): Boolean
    Definition Classes
      SymbolInfoSymbol → Flags
22.  def index: Int
    Definition Classes
      ScalaSigSymbol
23.  lazy val infoType: Type
    Definition Classes
      SymbolInfoSymbol
24.  def isAbstract: Boolean
    Definition Classes
      Flags
25.  def isAbstractOverride: Boolean
    Definition Classes
      Flags
26.  def isAccessor: Boolean
    Definition Classes
      Flags
27.  def isBridge: Boolean
    Definition Classes
      Flags
28.  def isByNameParam: Boolean
    Definition Classes
      Flags
29.  def isCaptured: Boolean
    Definition Classes
      Flags
30.  def isCase: Boolean
    Definition Classes
      Flags
31.  def isCaseAccessor: Boolean
    Definition Classes
      Flags
32.  def isContravariant: Boolean
    Definition Classes
      Flags
33.  def isCovariant: Boolean
    Definition Classes
      Flags
34.  def isDeferred: Boolean
    Definition Classes
      Flags
35.  def isDeprecated: Boolean
    Definition Classes
      Flags
36.  def isError: Boolean
    Definition Classes
      Flags
37.  def isExistential: Boolean
    Definition Classes
      Flags
38.  def isExpandedName: Boolean
    Definition Classes
      Flags
39.  def isFinal: Boolean
    Definition Classes
      Flags
40.  def isImplementationClass: Boolean
    Definition Classes
      Flags
41.  def isImplicit: Boolean
    Definition Classes
      Flags
42.  def isInConstructor: Boolean
    Definition Classes
      Flags
43.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
44.  def isInterface: Boolean
    Definition Classes
      Flags
45.  def isJava: Boolean
    Definition Classes
      Flags
46.  def isLabel: Boolean
    Definition Classes
      Flags
47.  def isLazy: Boolean
    Definition Classes
      Flags
48.  def isLifted: Boolean
    Definition Classes
      Flags
49.  def isLocal: Boolean
    Definition Classes
      Flags
50.  def isMethod: Boolean
    Definition Classes
      Flags
51.  def isMixedIn: Boolean
    Definition Classes
      Flags
52.  def isModule: Boolean
    Definition Classes
      Flags
53.  def isModuleVar: Boolean
    Definition Classes
      Flags
54.  def isMonomorphic: Boolean
    Definition Classes
      Flags
55.  def isMutable: Boolean
    Definition Classes
      Flags
56.  def isOverloaded: Boolean
    Definition Classes
      Flags
57.  def isOverride: Boolean
    Definition Classes
      Flags
58.  def isPackage: Boolean
    Definition Classes
      Flags
59.  def isParam: Boolean
    Definition Classes
      Flags
60.  def isParamAccessor: Boolean
    Definition Classes
      Flags
61.  def isPreSuper: Boolean
    Definition Classes
      Flags
62.  def isPrivate: Boolean
    Definition Classes
      Flags
63.  def isProtected: Boolean
    Definition Classes
      Flags
64.  def isSealed: Boolean
    Definition Classes
      Flags
65.  def isStable: Boolean
    Definition Classes
      Flags
66.  def isStatic: Boolean
    Definition Classes
      Flags
67.  def isSuperAccessor: Boolean
    Definition Classes
      Flags
68.  def isSynthetic: Boolean
    Definition Classes
      Flags
69.  def isTrait: Boolean
    Definition Classes
      Flags
70.  def name: String
    Definition Classes
      SymbolInfoSymbol → Symbol
71.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
72.  final def notify(): Unit
    Definition Classes
      AnyRef
73.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
74.  def parent: Some[Symbol]
    Definition Classes
      SymbolInfoSymbol → Symbol
75.  def path: String
    Definition Classes
      AliasSymbol → Symbol
76.  val symbolInfo: SymbolInfo
    Definition Classes
      AliasSymbol → SymbolInfoSymbol
77.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
78.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
79.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
80.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
81.  def →[B](y: B): (AliasSymbol, B)
    Implicit
      This member is added by an implicit conversion from AliasSymbol to ArrowAssoc[AliasSymbol] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SymbolInfoSymbol

### Inherited from ScalaSigSymbol

### Inherited from Symbol

### Inherited from Flags

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AliasSymbol to any2stringadd[AliasSymbol]

### Inherited by implicit conversion StringFormat from AliasSymbol to StringFormat[AliasSymbol]

### Inherited by implicit conversion Ensuring from AliasSymbol to Ensuring[AliasSymbol]

### Inherited by implicit conversion ArrowAssoc from AliasSymbol to ArrowAssoc[AliasSymbol]

### Ungrouped